## kf6-kiconthemes 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KIconThemes VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(CMakeDependentOption)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KICONTHEMES_USE_QTQUICK "Build QML plugin using Qt6Qml" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(kiconthemes_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kiconthemes_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KICONTHEMES
                  VERSION_HEADER "${kiconthemes_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt6Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if (KICONTHEMES_USE_QTQUICK)
  find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
endif()

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)

# ensure we have our icons around on all platforms that require it
set(USE_BreezeIcons_DEFAULT ON)
if(ANDROID)
    set(USE_BreezeIcons_DEFAULT OFF)
endif()
option(USE_BreezeIcons "Ensures BreezeIcons are available" ${USE_BreezeIcons_DEFAULT})
if (USE_BreezeIcons)
    find_package(KF6BreezeIcons ${KF_DEP_VERSION} REQUIRED)
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes6\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6IconThemes")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6IconThemes_QCH
        FILE KF6IconThemesQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6IconThemesQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6IconThemesConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6IconThemesConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6IconThemesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6IconThemesTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kiconthemes_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIconThemes COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kiconthemes 6.0.0

=== debian/changelog ===
kf6-kiconthemes (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Apr 2024 20:31:07 +0200

kiconthemes (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Fix FTCBFS: Build designer plugin, thx to Helmut Grohne (Closes:
    #1023941).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:22 +0100

kiconthemes (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:41 +0200

kiconthemes (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:59 +0100

kiconthemes (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kiconthemes (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:08 +0100

kiconthemes (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:32 +0100

kiconthemes (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:03 +0100

kiconthemes (5.98.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5, and dh-sequence-pkgkde-symbolshelper build
      dependencies to use the kf5, and pkgkde_symbolshelper addons
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Add the qtdeclarative5-dev dependency to libkf5iconthemes-dev, as a newly
    installed public header depends on QtQuick headers.
  * Drop unused debian/meta/ stuff.
  * Remove the 'testsuite' autopkgtest, as it does not test the package
    available in the archive.
  * CI: enable again the blhc job.
  * Remove the unused ${shlibs:Depends} substvar from libkf5iconthemes-data.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Sep 2022 08:52:51 +0200

kiconthemes (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:46 +0200

kiconthemes (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:37 +0200

kiconthemes (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:06 +0200

kiconthemes (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kiconthemes (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kiconthemes (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kiconthemes (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:40 +0900

kiconthemes (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:55:50 +0900

kiconthemes (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

kiconthemes (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:03:30 +0900

kiconthemes (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:04 +0900

kiconthemes (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.



=== debian/control ===
Source: kf6-kiconthemes
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6breezeicons-dev (>= 6.0.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
Rules-Requires-Root: no

Package: libkf6iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for icon themes & widgets
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf6iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes & widgets
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf6iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf6colorscheme-dev (>= 6.0.0~),
         libkf6configwidgets-dev (>= 6.0.0~),
         libkf6i18n-dev (>= 6.0.0~),
         libkf6iconthemes6 (= ${binary:Version}),
         libkf6iconwidgets6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.0.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-doc (= ${source:Version}),
Description: development files for kiconthemes
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf6iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes & widgets (documentation)
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6iconthemes6
Architecture: any
Multi-Arch: same
Depends: libkf6iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-bin (= ${binary:Version}),
Description: Support for icon themes
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: libkf6iconwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6iconthemes-bin (= ${binary:Version}),
Description: Support for icon widgets
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

Package: qml6-module-org-kde-iconthemes
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for icon themes (QML module)
 Library to use/access icon themes & widgets in Qt. These classes
 are used by the iconloader but can be used by others too.

## kf6-kiconthemes 6.3.0

=== debian/changelog ===
kf6-kiconthemes (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
-               libkf6archive-dev (>= 6.0.0~),
-               libkf6breezeicons-dev (>= 6.0.0~),
-               libkf6colorscheme-dev (>= 6.0.0~),
-               libkf6configwidgets-dev (>= 6.0.0~),
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
+               libkf6archive-dev (>= 6.3.0~),
+               libkf6breezeicons-dev (>= 6.3.0~),
+               libkf6colorscheme-dev (>= 6.3.0~),
+               libkf6configwidgets-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
@@ -23,7 +23,7 @@
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kiconthemes
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
@@ -51,12 +51,12 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.0.0~),
-         libkf6configwidgets-dev (>= 6.0.0~),
-         libkf6i18n-dev (>= 6.0.0~),
+Depends: libkf6colorscheme-dev (>= 6.3.0~),
+         libkf6configwidgets-dev (>= 6.3.0~),
+         libkf6i18n-dev (>= 6.3.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.0.0~),
+         libkf6widgetsaddons-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kiconthemes 6.6.0

=== debian/changelog ===
kf6-kiconthemes (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 19:34:19 +0100

kf6-kiconthemes (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:45 +0200

kf6-kiconthemes (6.5.0-3) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Aug 2024 06:44:24 +0200

kf6-kiconthemes (6.5.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add runtime dependency to libqt6svg6, required to render vector icons.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 16:16:00 +0200

kf6-kiconthemes (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.5.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:09 +0200

kf6-kiconthemes (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6breezeicons-dev (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6breezeicons-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
@@ -51,12 +52,13 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.3.0~),
-         libkf6configwidgets-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
+Depends: libkf6colorscheme-dev (>= 6.6.0~),
+         libkf6configwidgets-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.3.0~),
+         libkf6widgetsaddons-dev (>= 6.6.0~),
+         qml6-module-org-kde-iconthemes (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
@@ -83,6 +85,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6iconthemes-data (= ${source:Version}),
+         libqt6svg6 (>= 6.5.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-bin (= ${binary:Version}),
@@ -104,7 +107,7 @@
 Package: qml6-module-org-kde-iconthemes
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for icon themes (QML module)
  Library to use/access icon themes & widgets in Qt. These classes
  are used by the iconloader but can be used by others too.

## kf6-kiconthemes 6.9.0

=== debian/changelog ===
kf6-kiconthemes (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:46:50 +0000

kf6-kiconthemes (6.8.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:44:46 -0600

kf6-kiconthemes (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 11:53:54 +0000

kf6-kiconthemes (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:18 +0000

kf6-kiconthemes (6.6.0-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:16:33 +0100

kf6-kiconthemes (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:15 +0100

kf6-kiconthemes (6.5.0-2ubuntu1) oracular; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Pass gcc option -std=c++17 to acc autopkgtests.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:24:45 +0100

kf6-kiconthemes (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:00 +0100

kf6-kiconthemes (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,13 +11,13 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6breezeicons-dev (>= 6.6.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6configwidgets-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6archive-dev (>= 6.9.0~),
+               libkf6breezeicons-dev (>= 6.9.0~),
+               libkf6colorscheme-dev (>= 6.9.0~),
+               libkf6configwidgets-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
@@ -26,8 +27,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
@@ -52,12 +53,12 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.6.0~),
-         libkf6configwidgets-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
+Depends: libkf6colorscheme-dev (>= 6.9.0~),
+         libkf6configwidgets-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.6.0~),
+         libkf6widgetsaddons-dev (>= 6.9.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),

## kf6-kiconthemes 6.10.0

=== debian/changelog ===
kf6-kiconthemes (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:25 +0100

kf6-kiconthemes (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:12:19 +0100

kf6-kiconthemes (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6archive-dev (>= 6.9.0~),
-               libkf6breezeicons-dev (>= 6.9.0~),
-               libkf6colorscheme-dev (>= 6.9.0~),
-               libkf6configwidgets-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6archive-dev (>= 6.10.0~),
+               libkf6breezeicons-dev (>= 6.10.0~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
@@ -53,15 +52,15 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.9.0~),
-         libkf6configwidgets-dev (>= 6.9.0~),
-         libkf6i18n-dev (>= 6.9.0~),
+Depends: libkf6colorscheme-dev (>= 6.10.0~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         libkf6i18n-dev (>= 6.10.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.9.0~),
+         libkf6widgetsaddons-dev (>= 6.10.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-doc (= ${source:Version}),

## kf6-kiconthemes 6.11.0

=== debian/changelog ===
kf6-kiconthemes (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.11.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6breezeicons-dev (>= 6.10.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6breezeicons-dev (>= 6.11.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
                libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-svg-dev (>= 6.6.0~),
@@ -52,12 +52,12 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.10.0~),
+Depends: libkf6colorscheme-dev (>= 6.11.0~),
          libkf6configwidgets-dev (>= 6.7.0~),
-         libkf6i18n-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.11.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.10.0~),
+         libkf6widgetsaddons-dev (>= 6.11.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-declarative-dev (>= 6.6.0~),

## kf6-kiconthemes 6.12.0

=== debian/changelog ===
kf6-kiconthemes (6.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:11:55 -0500

kf6-kiconthemes (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:52:15 +0000

kf6-kiconthemes (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:57 +0000

kf6-kiconthemes (6.10.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 18:31:15 -0600

kf6-kiconthemes (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:19:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6archive-dev (>= 6.11.0~),
-               libkf6breezeicons-dev (>= 6.11.0~),
-               libkf6colorscheme-dev (>= 6.11.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6archive-dev (>= 6.12.0~),
+               libkf6breezeicons-dev (>= 6.12.0~),
+               libkf6colorscheme-dev (>= 6.12.0~),
+               libkf6configwidgets-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
@@ -52,15 +53,15 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.11.0~),
-         libkf6configwidgets-dev (>= 6.7.0~),
-         libkf6i18n-dev (>= 6.11.0~),
+Depends: libkf6colorscheme-dev (>= 6.12.0~),
+         libkf6configwidgets-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.12.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.11.0~),
+         libkf6widgetsaddons-dev (>= 6.12.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-doc (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	# Disable dh_auto_test on build time
	:

## kf6-kiconthemes 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -87,8 +87,8 @@
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes6\")

=== src/widgets/CMakeLists.txt ===
add_library(KF6IconWidgets)
add_library(KF6::IconWidgets ALIAS KF6IconWidgets)

set_target_properties(KF6IconWidgets PROPERTIES
    VERSION     ${KICONTHEMES_VERSION}
    SOVERSION   ${KICONTHEMES_SOVERSION}
    EXPORT_NAME IconWidgets
)

target_sources(KF6IconWidgets PRIVATE
    kiconbutton.cpp
    kiconbutton.h
    kicondialog.cpp
    kicondialog.h
    kicondialogmodel_p.h
    kicondialog_p.h
    kpixmapsequenceloader.h
    kpixmapsequenceloader.cpp
    )

ki18n_wrap_ui(KF6IconWidgets kicondialog.ui)

ecm_generate_export_header(KF6IconWidgets
    BASE_NAME KIconWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KIconThemes
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6IconWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KIconWidgets>")

target_link_libraries(KF6IconWidgets
  PUBLIC
    Qt6::Widgets
    KF6::IconThemes
  PRIVATE
    Qt6::Svg
    KF6::I18n          # for i18n in KIconDialog
    KF6::ConfigGui     # for KStandardActions
    KF6::WidgetsAddons # for KPixmapSequence
)

ecm_generate_headers(KIconWidgets_HEADERS
  HEADER_NAMES
  KIconButton
  KIconDialog
  KPixmapSequenceLoader

  REQUIRED_HEADERS KIconWidgets_HEADERS
)

install(TARGETS KF6IconWidgets EXPORT KF6IconThemesTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kiconwidgets_export.h
  ${KIconWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIconWidgets COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF6IconWidgets_QCH
        NAME KIconWidgets
        BASE_NAME KF6IconWidgets
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIconWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KICONWIDGETS_EXPORT
            KICONWIDGETS_DEPRECATED
            KICONWIDGETS_DEPRECATED_EXPORT
            "KICONWIDGETS_DEPRECATED_VERSION(x, y, t)"
            "KICONWIDGETS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KICONWIDGETS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KICONWIDGETS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kf6-kiconthemes (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Correctly forward accepted/rejected signales to the QML version of the
    icon selection dialog. [a75b8966] (This unbreaks kicker’s configuration
    page and closes: #1108068.)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 29 Jun 2025 23:38:15 +0200

kf6-kiconthemes (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-kiconthemes
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6archive-dev (>= 6.12.0~),
-               libkf6breezeicons-dev (>= 6.12.0~),
-               libkf6colorscheme-dev (>= 6.12.0~),
-               libkf6configwidgets-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6archive-dev (>= 6.13.0~),
+               libkf6breezeicons-dev (>= 6.13.0~),
+               libkf6colorscheme-dev (>= 6.13.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-base-private-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kiconthemes
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kiconthemes
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kiconthemes.git
 Rules-Requires-Root: no
 
 Package: libkf6iconthemes-bin
@@ -53,15 +52,15 @@
 Package: libkf6iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6colorscheme-dev (>= 6.12.0~),
-         libkf6configwidgets-dev (>= 6.12.0~),
-         libkf6i18n-dev (>= 6.12.0~),
+Depends: libkf6colorscheme-dev (>= 6.13.0~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         libkf6i18n-dev (>= 6.13.0~),
          libkf6iconthemes6 (= ${binary:Version}),
          libkf6iconwidgets6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
+         libkf6widgetsaddons-dev (>= 6.13.0~),
          qml6-module-org-kde-iconthemes (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6iconthemes-doc (= ${source:Version}),

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kiconthemes-([\d.]+)\.tar\.xz
